petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMSetCoordinates

Sets into the DM a global vector that holds the coordinates

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetCoordinates(DM dm, Vec c)

Collective on dm

### Input Parameters

| dm | - the DM
| c | - coordinate vector

### Notes

The coordinates do include those for ghost points, which are in the local vector.

The vector c should be destroyed by the caller.

### See Also

DMSetCoordinatesLocal(), DMGetCoordinates(), DMGetCoordinatesLocal(), DMGetCoordinateDM()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages